'use strict';

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _ = require('../');

var _algorithms = require('./algorithms');

var _algorithms2 = _interopRequireDefault(_algorithms);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_algorithms2.default.forEach(function (_ref) {
  var name = _ref.name,
      findMatches = _ref.f;

  describe(name + ' solver', function () {
    Object.entries(_.puzzles).forEach(function (_ref2) {
      var _ref3 = _slicedToArray(_ref2, 2),
          name = _ref3[0],
          _ref3$ = _ref3[1],
          words = _ref3$.words,
          rows = _ref3$.rows;

      return it('should solve the ' + name + ' puzzle', function () {
        var _solve = (0, _.solve)(rows, words, _.Directions, findMatches),
            matches = _solve.matches;

        expect(Object.keys(matches)).toHaveLength(words.length);
      });
    });
  });
});